Package ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost

# Class ForpostAccount

java.lang.Object
ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostBase
ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostAccount

All Implemented Interfaces:
  `Idable`

    public class ForpostAccount
    extends ForpostBase

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ForpostAccount()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` |
  `java.lang.String` | `getContractTitle()` |
  `java.time.LocalDateTime` | `getCreationDate()` |
  `int` | `getIsActive()` |
  `int` | `getMaxCameraCount()` |
  `int` | `getMaxLoginCount()` |
  `java.lang.String` | `getName()` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setCreationDate​(java.time.LocalDateTime creationDate)` |
  `void` | `setIsActive​(int isActive)` |
  `void` | `setMaxCameraCount​(int maxCameraCount)` |
  `void` | `setMaxLoginCount​(int maxLoginCount)` |
  `void` | `setName​(java.lang.String name)` |

  ### Methods inherited from class ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostBase

  `get, getData, getId, getInt, getString, getString, put, setData, setId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ForpostAccount

    public ForpostAccount()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getContractTitle

    public java.lang.String getContractTitle()

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)

  - ### getName

    public java.lang.String getName()

  - ### setName

    public void setName​(java.lang.String name)

  - ### getMaxCameraCount

    public int getMaxCameraCount()

  - ### setMaxCameraCount

    public void setMaxCameraCount​(int maxCameraCount)

  - ### getMaxLoginCount

    public int getMaxLoginCount()

  - ### setMaxLoginCount

    public void setMaxLoginCount​(int maxLoginCount)

  - ### getIsActive

    public int getIsActive()

  - ### setIsActive

    public void setIsActive​(int isActive)

  - ### getCreationDate

    public java.time.LocalDateTime getCreationDate()

  - ### setCreationDate

    public void setCreationDate​(java.time.LocalDateTime creationDate)